import greenfoot.*;

abstract public class Tubes extends Actor
{
    final static int speed = 3;
    
    int gapPos;
    int gapSize;
    
    public Tubes(int gapPosition, int spaceBetweenPipes)
    {   
        gapPos = gapPosition;
        
        gapSize = spaceBetweenPipes;
    }
    
    public void tryToKillBird()
    {
        MyWorld world = (MyWorld)getWorld();
        David bird = world.bird;
        
        if(getX() < bird.getX()+60 && getX() > bird.getX()-59)
        {
            addScore();
            if(bird.getY() < gapPos-gapSize+18 || bird.getY() > gapPos+gapSize-19)
                world.killBird();
        }
    }
    
    public void addScore()
    {
        Score score = ((MyWorld)getWorld()).score;
        David bird = ((MyWorld)getWorld()).bird;
        
        if(getX() <= bird.getX() && getX() > bird.getX()-speed)
            score.addScore();
    }
}
